<!DOCTYPE html>
<html lang="en" dir="ltr" class="no-js">
  <head>
    <meta charset="utf-8" />
    <title>Discrete Maths Section 1 (Spring 2020)</title>
    <link rel="stylesheet" type="text/css" href="../script/binghamton.css" />
    <script type="text/x-mathjax-config">/*<![CDATA[*/
      MathJax.Hub.Config({

          tex2jax: {

              inlineMath: [ ["$","$"], ["\\(","\\)"] ],

              displayMath: [ ["$$","$$"], ["\\[","\\]"] ],

              processEscapes: true

          }

      });
      /*!]]>*/</script>
    <script type="text/javascript" charset="utf-8" src="https://www2.math.binghamton.edu/js/MathJax/MathJax.js?config=TeX-AMS_HTML"></script>
    <meta name="viewport" content="width=device-width,initial-scale=1" />
  </head>

  <body>
    <h1 class="sectionedit1" id="discrete_maths_section_1_spring_2020">Discrete Maths Section 1 (Spring 2020)</h1>
    <div class="level1">

      <p>
        This is the official website of math314-01-s20.<sup><a href="#fn__1" id="fnt__1" class="fn_top">1</a></sup>  Please read our <a href="https://ia801508.us.archive.org/14/items/math314-s20/coronavirus_syllabus_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:coronavirus_syllabus_math314-01-s20.pdf (104.5 KB)">syllabus</a>…
      </p>

      <p>
        Due to the COVID-19 pandemic, our course has gone entirely online.  Please carefully read the updated syllabus and the site below.
      </p>

      <p>
        <strong>THIS PAGE NO LONGER RECEIVES UPDATES</strong>
      </p>

    </div>
    <h1 class="sectionedit2" id="general_information">General Information</h1>
    <div class="level2">

      <p>
        <strong>Meetings</strong>: Meetings take place during our old class time (08:00 - 09:30 on MWF).
      </p>

      <p>
        <strong>Office Hours</strong>: By appointment on <a href="https://binghamton.zoom.us/" class="urlextern" title="https://binghamton.zoom.us/">Zoom</a>.  Appointments should be made for reasonable times of the day (“reasonable” as defined by me).
      </p>

      <p>
        <strong>Textbook</strong>: <em>Discrete Mathematics and its Applications (8e)</em> by Kenneth Rosen.
      </p>

      <p>
        <strong>Grading</strong>: See the <a href="https://ia801508.us.archive.org/14/items/math314-s20/coronavirus_syllabus_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:coronavirus_syllabus_math314-01-s20.pdf (104.5 KB)">course syllabus</a> for a grade distribution.
      </p>

      <p>
        <strong>Content</strong>: Propositional logic, methods of proof, naive set theory, functions and relations, induction and recursion, counting, and basic graph theory.
      </p>

    </div>
    <h3 class="sectionedit3" id="content_delivery">Content Delivery</h3>
    <div class="level3">

      <p>
        <strong>Videos</strong>: I will upload videos to replace some lectures.  You are to watch these videos, take notes, and answer any questions posed in them.<sup><a href="#fn__2" id="fnt__2" class="fn_top">2)</a></sup>
      </p>

      <p>
        <strong>Notes</strong>: I will sometimes post PDFs for you to read.  These are assigned reading; take notes on these PDFs, as they are fair game for homework and the final exam.
      </p>

      <p>
        <strong>Readings</strong>: I will still assign reading from the textbook.
      </p>

      <p>
        <strong>Problem Sessions</strong>: Roughly twice a week, I will host a problem session on <a href="https://binghamton.zoom.us/" class="urlextern" title="https://binghamton.zoom.us/">Zoom</a> during our old class meeting time.  You are expected to attend these sessions.
      </p>

    </div>
    <h3 class="sectionedit4" id="homework">Homework</h3>
    <div class="level3">

      <p>
        Here is a quick look at what you will need to submit homework for the remainder of the course.
      </p>

    </div>

    <h4 id="submission">Submission</h4>
    <div class="level4">

      <p>
        Homework is to be submitted as a PDF through <a href="https://www.gradescope.com/" class="urlextern" title="https://www.gradescope.com/">Gradescope</a>; the company has made their service free-to-use for this semester.  See the <a href="https://gradescope-static-assets.s3.amazonaws.com/help/submitting_hw_guide.pdf" class="urlextern" title="https://gradescope-static-assets.s3.amazonaws.com/help/submitting_hw_guide.pdf">Gradescope guide for students</a> and watch the <a href="https://www.youtube.com/watch?v=KMPoby5g_nE&amp;feature=youtu.be" class="urlextern" title="https://www.youtube.com/watch?v=KMPoby5g_nE&amp;feature=youtu.be">Gradescope video on submitting homework</a>.
      </p>

      <p>
        <em>I will not accept homework in any form other than PDF.</em>
      </p>

      <p>
        <em>I will not accept homework via email.  Use <a href="https://www.gradescope.com/" class="urlextern" title="https://www.gradescope.com/">Gradescope</a>.</em>
      </p>

    </div>

    <h4 id="miscellany">Miscellany</h4>
    <div class="level4">

      <p>
        I offer you 1 homework bonus point per homework turned in using the LaTeX typesetting language; you must typeset exercises legibly.  I wrote a short PDF on <a href="https://ia801508.us.archive.org/14/items/math314-s20/how_to_latex_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:how_to_latex_math314-01-s20.pdf (91.3 KB)">how to use LaTeX</a>; you can use its <a href="https://ia801508.us.archive.org/14/items/math314-s20/how_to_latex_math314-01-s20.tex" class="media mediafile mf_tex" title="people:grads:eppolito:how_to_latex_math314-01-s20.tex (3.5 KB)">source code</a> as a startup template.  The easiest way to get started is to make an account on <a href="https://www.overleaf.com/" class="urlextern" title="https://www.overleaf.com/">Overleaf</a> so you can view and compile .tex files; if you end up using LaTeX more frequently, you will probably want a different setup.
      </p>

      <p>
        If you choose not to learn LaTeX, you can use a PDF scanning application to submit your homework.  I think “Tiny Scanner” is nice; you can download it on your phone with either <a href="https://play.google.com/store/apps/details?id=com.appxy.tinyscanner&amp;hl=en_US" class="urlextern" title="https://play.google.com/store/apps/details?id=com.appxy.tinyscanner&amp;hl=en_US">Android</a> or <a href="https://apps.apple.com/us/app/scanner-app-scan-pdf-document/id595563753" class="urlextern" title="https://apps.apple.com/us/app/scanner-app-scan-pdf-document/id595563753">iOS</a>.
      </p>

      <p>
        Here are documents on <a href="https://ia801508.us.archive.org/14/items/math314-s20/inference_rules.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:inference_rules.pdf (149.6 KB)">basic proof techniques</a> and <a href="https://ia801508.us.archive.org/14/items/math314-s20/proof_style.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:proof_style.pdf (80.1 KB)">proof-writing style</a> for your reference.
      </p>

    </div>
    <h3 class="sectionedit5" id="participation">Participation</h3>
    <div class="level3">

      <p>
        As a portion of your grade, you must contribute to our class notes.  This can be done in one of the following two ways.
      </p>
      <ul>
        <li class="level1"><div class="li"> <strong>Notes</strong>: Typing a portion of our notes from lectures (either one or two lectures).</div>
        </li>
        <li class="level1"><div class="li"> <strong>Project</strong>: Typing a short report on some topic related to our course.</div>
        </li>
      </ul>

      <p>
        All contributions must be approved by me in advance.  The typing can be done either as plain-text or in $\LaTeX{}$; in either case students must discuss formatting with me before beginning their work.
      </p>

    </div>
    <h1 class="sectionedit6" id="schedule">Schedule</h1>
    <div class="level2">

    </div>

    <h4 id="january_2020_w">22 January 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Review Syllabus</div>
        </li>
        <li class="level1"><div class="li"> Basic Logic and Sets</div>
          <ul>
            <li class="level2"><div class="li"> Propositions</div>
            </li>
            <li class="level2"><div class="li"> Logical Connectives</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook sections 1.1, 1.3.1 - 1.3.5</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="january_2020_f">24 January 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Basic Logic and Sets</div>
          <ul>
            <li class="level2"><div class="li"> Translation of Sentences</div>
            </li>
            <li class="level2"><div class="li"> Logical Equivalence</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook sections 1.4 - 1.5</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="january_2020_m">27 January 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Basic Logic and Sets</div>
          <ul>
            <li class="level2"><div class="li"> Predicates and Quantifiers</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook sections 2.1 - 2.2 and 1.6</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="january_2020_w1">29 January 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Basic Logic and Sets</div>
          <ul>
            <li class="level2"><div class="li"> Sets and Set Operations</div>
            </li>
            <li class="level2"><div class="li"> Rules of Inference</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook section 1.6</div>
            </li>
            <li class="level2"><div class="li"> Think about the <a href="https://ia801508.us.archive.org/14/items/math314-s20/set_interpretations_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:set_interpretations_math314-01-s20.pdf (87.9 KB)">relationship between the logic we know and the basic operations of set theory</a>.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="january_2020_f1">31 January 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Basic Logic and Sets</div>
          <ul>
            <li class="level2"><div class="li"> Natural Deduction</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/hw1_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:hw1_math314-01-s20.pdf (109.7 KB)">Complete these exercises (Due: 10 February 2020)</a></div>
            </li>
            <li class="level2"><div class="li"> Enjoy the <a href="http://www.brainlesstales.com/images/2016/Feb/superb-owl.jpg" class="urlextern" title="http://www.brainlesstales.com/images/2016/Feb/superb-owl.jpg">Superb Owl</a>!  (more information <a href="https://www.reddit.com/r/Superbowl/" class="urlextern" title="https://www.reddit.com/r/Superbowl/">here</a> if you&#039;re unfamiliar)</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_m">3 February 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Elementary Properties of Divisibility</div>
          <ul>
            <li class="level2"><div class="li"> Some careful mathematical proofs</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook section 4.3; pay special attention to sections 4.3.2, 4.3.4, and 4.3.7-4.3.8.</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <em>Add\Drop Deadline is TODAY!</em></div>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_w">5 February 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Modular Arithmetic</div>
          <ul>
            <li class="level2"><div class="li"> Constructed  $\mathbb{Z}/n\mathbb{Z}$</div>
            </li>
            <li class="level2"><div class="li"> Studied more basic properties of divisibility</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook section 4.4; pay special attention to sections 4.4.2 and 4.4.5.</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_f">7 February 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> sNOw Classes</div>
          <ul>
            <li class="level2"><div class="li"> Homework is still due on Monday.</div>
            </li>
            <li class="level2"><div class="li"> Also still do the reading for Monday.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_m1">10 February 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Greatest Common Divisor</div>
          <ul>
            <li class="level2"><div class="li"> Euclid&#039;s Algorithm</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> Modular Arithmetic</div>
          <ul>
            <li class="level2"><div class="li"> Units in $\mathbb{Z}/n\mathbb{Z}$</div>
            </li>
            <li class="level2"><div class="li"> Solving Equations in $\mathbb{Z}/n\mathbb{Z}$</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/hw1_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:hw1_math314-01-s20.pdf (109.7 KB)">Collected Homework 1</a></div>
            </li>
            <li class="level2"><div class="li"> <strong>Due Wednesday</strong>: Prove the following proposition.</div>
              <ul>
                <li class="level3"><div class="li"> Let $a \in \mathbb{Z}$ and $m \in \mathbb{Z}^+$.  Integer $a$ is a unit modulo $m$ if and only if $\gcd(a, m) = 1$.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_w1">12 February 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Primes and Factorization</div>
          <ul>
            <li class="level2"><div class="li"> Prime numbers and prime sieves</div>
            </li>
            <li class="level2"><div class="li"> Fundamental Theorem of Arithmetic</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook section 4.6</div>
            </li>
            <li class="level2"><div class="li"> Watch <a href="https://www.khanacademy.org/computing/computer-science/cryptography/modern-crypt/v/diffie-hellman-key-exchange-part-1" class="urlextern" title="https://www.khanacademy.org/computing/computer-science/cryptography/modern-crypt/v/diffie-hellman-key-exchange-part-1">this video</a> from KhanAcademy.org.</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_f1">14 February 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Application:</div>
          <ul>
            <li class="level2"><div class="li"> RSA Cryptography</div>
            </li>
            <li class="level2"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/rsa_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:rsa_math314-01-s20.pdf (122.2 KB)">RSA Problems</a></div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook section 5.1.</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_m2">17 February 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Mathematical Induction</div>
          <ul>
            <li class="level2"><div class="li"> Introduction (with dominoes!)</div>
            </li>
            <li class="level2"><div class="li"> Many simple examples</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_w2">19 February 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Mathematical Induction</div>
          <ul>
            <li class="level2"><div class="li"> Fibonacci Numbers</div>
            </li>
            <li class="level2"><div class="li"> More proofs by induction</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_f2">21 February 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Review Session for Exam 1</div>
          <ul>
            <li class="level2"><div class="li"> Student questions only</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>: Study!!!</div>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_m3">24 February 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> <strong>Midterm Exam 1</strong> (In Class)</div>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_w3">26 February 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Mathematical Induction</div>
          <ul>
            <li class="level2"><div class="li"> Review of Weak Induction</div>
            </li>
            <li class="level2"><div class="li"> Strong Induction</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook section 5.2</div>
            </li>
            <li class="level2"><div class="li"> Watch <a href="https://www.youtube.com/watch?v=TUueMeRooBk" class="urlextern" title="https://www.youtube.com/watch?v=TUueMeRooBk">this video</a> on strong induction examples.</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="february_2020_f3">28 February 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Mathematical Induction</div>
          <ul>
            <li class="level2"><div class="li"> More Strong Induction</div>
            </li>
            <li class="level2"><div class="li"> The Well Ordering Principle</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> <strong>Due Monday</strong>: Find (with proof!) all integers of the form $n = 5s + 9t$ for some $s, t \in \mathbb{N}$.</div>
            </li>
            <li class="level2"><div class="li"> Read textbook section 5.3</div>
            </li>
            <li class="level2"><div class="li"> Watch <a href="https://www.youtube.com/watch?v=K8ZfzNN1miQ" class="urlextern" title="https://www.youtube.com/watch?v=K8ZfzNN1miQ">this video</a> on comparing weak induction, strong induction, and well ordering (you can stop watching around the 5:45 marker).</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="march_2020_m">2 March 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Recursion</div>
          <ul>
            <li class="level2"><div class="li"> Some interesting relationships among on Fibonacci numbers</div>
            </li>
            <li class="level2"><div class="li"> <em>NB</em>: Recursion is an extremely important concept; much of what we do in the rest of the course requires understanding this fundamental topic…</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> <strong>Due Wednesday</strong>: Prove that every Fibonacci number with odd index (i.e. $f_{2k+1}$ for $k \in \mathbb{N}$) can be expressed as a sum of squares of Fibonacci numbers.</div>
            </li>
            <li class="level2"><div class="li"> Read textbook section 6.1</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="march_2020_w">4 March 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Enumeration</div>
          <ul>
            <li class="level2"><div class="li"> Cardinality of Sets</div>
            </li>
            <li class="level2"><div class="li"> Basic Counting Techniques</div>
              <ul>
                <li class="level3"><div class="li"> <em>Product Principle</em>: If $A$ and $B$ are finite sets, then $\#(A \times B) = \#A \cdot \#B$.</div>
                </li>
                <li class="level3"><div class="li"> <em>Sum Principle</em>: If $A$ and $B$ are disjoint finite sets, then $\#(A \cup B) = \#A + \#B$.</div>
                  <ul>
                    <li class="level4"><div class="li"> <em>NB</em>: Take note that $A$ and $B$ must be disjoint!</div>
                    </li>
                  </ul>
                </li>
                <li class="level3"><div class="li"> <em>Correspondence Principle</em>: Let $A$ and $B$ be finite sets.  If there is a rule of assignment $R \subseteq A \times B$ such that both $A = \{a : (a, b) \in R \text{ for some } b \in B\}$ and $\#\{b : (a, b) \in R\} = 1$ for all $a \in A$, and $B = \{b : (a, b) \in R \text{ for some } a \in A\}$ and $\#\{a : (a, b) \in R\} = 1$ for all $b \in B$, then $\#A = \#B$.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Many Examples</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read textbook sections 6.3 and 6.4</div>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="march_2020_f">6 March 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> No Class (Winter Break)</div>
        </li>
      </ul>

    </div>

    <h4 id="march_2020_m1">9 March 2020 M</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Enumeration</div>
          <ul>
            <li class="level2"><div class="li"> Binomial Coefficients</div>
              <ul>
                <li class="level3"><div class="li"> Proved several identities via counting</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> <em>Binomial Theorem</em>: Let $n \in \mathbb{N}$.  For all $x, y \in \mathbb{R}$ we have $(x + y)^n = \sum_{k = 0}^n \binom{n}{k} x^k y^{n-k}$.</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Read section 8.5 (<em>NB</em>: Yes, I mean “8.5”; it is not a typo)</div>
            </li>
            <li class="level2"><div class="li"> <strong>Due Wednesday</strong> Give two proofs that for all $n \in \mathbb{Z}^+$ we have $\sum_{k = 0}^n (-1)^k \binom{n}{k} = 0$.</div>
              <ul>
                <li class="level3"><div class="li"> Use the Binomial Theorem.</div>
                </li>
                <li class="level3"><div class="li"> Use a direct counting argument (<em>Hint</em>: move the negative terms to the other side before you start counting).</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="march_2020_w1">11 March 2020 W</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Enumeration</div>
          <ul>
            <li class="level2"><div class="li"> <em>Inclusion-Exclusion Principle</em>: For all finite sets $A$ and $B$ we have $\#(A \cup B) = \#A + \#B - \#(A \cap B)$.</div>
              <ul>
                <li class="level3"><div class="li"> <em>NB</em>: Compare this with the Sum Principle…</div>
                </li>
              </ul>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="march_2020_f1">13 March 2020 F</h4>
    <div class="level4">
      <ul>
        <li class="level1"><div class="li"> Enumeration</div>
          <ul>
            <li class="level2"><div class="li"> <em>NB</em>: This lecture taught over Zoom.</div>
            </li>
            <li class="level2"><div class="li"> Problem session on enumeration.</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>: </div>
          <ul>
            <li class="level2"><div class="li"> Attempt problems from the textbook.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>

    <h4 id="note_on_coronavirus_changes">Note on Coronavirus Changes</h4>
    <div class="level4">

      <p>
        In response to the COVID-19 pandemic, the remainder of the course went online.  I have grouped the remainder of the semester by week (because this is more natural for an online course).
      </p>

    </div>
    <h3 class="sectionedit7" id="old_lecture_notes">Old Lecture Notes</h3>
    <div class="level3">

      <p>
        Here are lecture notes taken and plain-text typed by students–with editing and further LaTeX formatting done by me–for lectures before the class went online.
      </p>
      <ul>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_divisibility_math314-01-s20.pdf" class="media mediafile mf_pdf wikilink2" title="people:grads:eppolito:notes_divisibility_math314-01-s20.pdf">Lecture Notes: Divisibility</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_modular_arithmetic_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes_modular_arithmetic_math314-01-s20.pdf (141.4 KB)">Lecture Notes: Modular Arithmetic</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_weak_induction_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes_weak_induction_math314-01-s20.pdf (135.3 KB)">Lecture Notes: Weak Induction</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_strong_induction_math314-01-s20.pdf" class="media mediafile mf_pdf wikilink2" title="people:grads:eppolito:notes_strong_induction_math314-01-s20.pdf">Lecture Notes: Strong Induction</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_primes_and_factorization_math314-01-s20.pdf" class="media mediafile mf_pdf wikilink2" title="people:grads:eppolito:notes_primes_and_factorization_math314-01-s20.pdf">Lecture Notes: Primes and Factorization</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_fibonacci_numbers_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes_fibonacci_numbers_math314-01-s20.pdf (132.5 KB)">Lecture Notes: Fibonacci Numbers</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_counting_techniques_math314-01-s20.pdf" class="media mediafile mf_pdf wikilink2" title="people:grads:eppolito:notes_counting_techniques_math314-01-s20.pdf">Lecture Notes: Counting Techniques</a>.</div>
        </li>
        <li class="level1"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes_binomial_coefficients_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes_binomial_coefficients_math314-01-s20.pdf (146.1 KB)">Lecture Notes: Binomial Coefficients</a>.</div>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit8" id="week_9_15_march_2020_--_22_march_2020">Week 9 (15 March 2020 -- 22 March 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Topics</strong>: Enumeration</div>
          <ul>
            <li class="level2"><div class="li"> Pigeonhole Principle and Generalized Pigeonhole Principle</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 6.2.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/pigeonhole_principle_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:pigeonhole_principle_math314-01-s20.pdf (130.5 KB)">Lecture notes on the Pigeonhole Principle</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="/lib/exe/fetch.php?hash=043f5b&amp;media=http%3A%2F%2Fpeople.math.binghamton.edu%2Fgrads%2Feppolito%2Fgeneralized_pigeonhole_principle_video_math314-01-s20.webm" class="media mediafile mf_webm" title="http://people.math.binghamton.edu/grads/eppolito/generalized_pigeonhole_principle_video_math314-01-s20.webm">Video on the Generalized Pigeonhole Principle</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/generalized_pigeonhole_principle_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:generalized_pigeonhole_principle_math314-01-s20.pdf (115.6 KB)">Lecture notes on the Generalized Pigeonhole Principle</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Anagrams</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 6.5.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/counting_anagrams_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:counting_anagrams_math314-01-s20.pdf (90.5 KB)">Lecture notes</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="/lib/exe/fetch.php?hash=50b313&amp;media=http%3A%2F%2Fpeople.math.binghamton.edu%2Fgrads%2Feppolito%2Fcounting_anagrams_video_math314-01-s20.webm" class="media mediafile mf_webm" title="http://people.math.binghamton.edu/grads/eppolito/counting_anagrams_video_math314-01-s20.webm">Video on counting anagrams</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/counting_poker_hands_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:counting_poker_hands_math314-01-s20.pdf (103.4 KB)">Counting Poker Hands</a> (for practice; this is a different kind of <a href="https://www.youtube.com/watch?v=G_So72lFNIU" class="urlextern" title="https://www.youtube.com/watch?v=G_So72lFNIU">counting cards</a>…).</div>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Submit a PDF to <a href="https://www.gradescope.com/" class="urlextern" title="https://www.gradescope.com/">Gradescope</a> with the text “This is a test homework.  I took this opportunity to familiarize myself with Gradescope and making PDF submissions.” (Due 23 March 2020)</div>
              <ul>
                <li class="level3"><div class="li"> See the <span class="curid"><a href="/p/people/grads/eppolito/math314-01-s20#homework" class="wikilink1" title="people:grads:eppolito:math314-01-s20">homework section</a></span> for more information.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Complete these <a href="https://ia801508.us.archive.org/14/items/math314-s20/hw2-counting_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:hw2-counting_math314-01-s20.pdf (88.5 KB)">counting problems</a> (Due 27 March 2020).</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit9" id="week_10_22_march_2020_--_28_march_2020">Week 10 (22 March 2020 -- 28 March 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Topics</strong>: Functions and Relations.</div>
          <ul>
            <li class="level2"><div class="li"> Introduction to Relations</div>
              <ul>
                <li class="level3"><div class="li"> Textbook sections 9.1 and 9.3.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes4_relations_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes4_relations_math314-01-s20.pdf (115.9 KB)">Lecture notes</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://www.youtube.com/watch?v=q0xN_N7l_Kw" class="urlextern" title="https://www.youtube.com/watch?v=q0xN_N7l_Kw">Video on relations: reflexive, symmetric, and transitive</a> (PS. this guy&#039;s videos are pretty great!).</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Equivalence Relations and Closures</div>
              <ul>
                <li class="level3"><div class="li"> Textbook sections 9.5 and 9.4.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes5_operations_on_relations.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes5_operations_on_relations.pdf (154.7 KB)">Lecture notes</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://www.youtube.com/watch?v=Wrm1QO6Nc-4" class="urlextern" title="https://www.youtube.com/watch?v=Wrm1QO6Nc-4">Video on equivalence relations</a> (this YouTube channel is also pretty nice!).</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Functions</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 2.3.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/functions_and_relations_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:functions_and_relations_math314-01-s20.pdf (166 KB)">Notes on functions and relations</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="/lib/exe/fetch.php?hash=1b296d&amp;media=http%3A%2F%2Fpeople.math.binghamton.edu%2Fgrads%2Feppolito%2Fvideo_injective_functions_math314-01-s20.webm" class="media mediafile mf_webm" title="http://people.math.binghamton.edu/grads/eppolito/video_injective_functions_math314-01-s20.webm">Video on injective functions</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="/lib/exe/fetch.php?hash=ca5589&amp;media=http%3A%2F%2Fpeople.math.binghamton.edu%2Fgrads%2Feppolito%2Fvideo_surjective_functions_math314-01-s20.webm" class="media mediafile mf_webm" title="http://people.math.binghamton.edu/grads/eppolito/video_surjective_functions_math314-01-s20.webm">Video on surjective functions</a>.</div>
                </li>
              </ul>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Complete these <a href="https://ia801508.us.archive.org/14/items/math314-s20/hw3-functions_and_relations_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:hw3-functions_and_relations_math314-01-s20.pdf (108.3 KB)">homework problems</a> (Due 13 April 2020).</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit10" id="week_11_29_march_2020_--_4_april_2020">Week 11 (29 March 2020 -- 4 April 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Topics</strong>: Graph Theory.</div>
          <ul>
            <li class="level2"><div class="li"> Introduction to Graphs</div>
              <ul>
                <li class="level3"><div class="li"> Textbook sections 10.1 – 10.3 (just for reference, see the lecture first).</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes6_graph_theory_introduction_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes6_graph_theory_introduction_math314-01-s20.pdf (125.3 KB)">Lecture Notes: Introduction to Graphs</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes7_handshake_lemma_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes7_handshake_lemma_math314-01-s20.pdf (113.3 KB)">Lecture Notes: Proof of the Handshake Lemma</a>.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes8_subgraphs_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes8_subgraphs_math314-01-s20.pdf (146 KB)">Lecture Notes: Subgraphs and Counting Subgraphs of $K_n$</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Connection in Graphs</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 10.4.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes9_graph_connection_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes9_graph_connection_math314-01-s20.pdf (130.3 KB)">Lecture Notes: Graph Connection</a>.</div>
                </li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit11" id="spring_break_5_april_2020_--_11_april_2020">Spring Break (5 April 2020 -- 11 April 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>No Scheduled Meetings</strong>.</div>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit12" id="week_12_12_april_2020_--_18_april_2020">Week 12 (12 April 2020 -- 18 April 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Topics</strong>: Graph Theory</div>
          <ul>
            <li class="level2"><div class="li"> Eulerian and Hamiltonian Graphs</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 10.5.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes10_eulerian_and_hamiltonian_graphs_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes10_eulerian_and_hamiltonian_graphs_math314-01-s20.pdf (149 KB)">Lecture Notes on Eulerian and Hamiltonian Graphs</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Graph Coloring</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 10.8.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes11_graph_coloring_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes11_graph_coloring_math314-01-s20.pdf (137.1 KB)">Lecture Notes on Graph Coloring</a>.</div>
                </li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit13" id="week_13_19_april_2020_--_25_april_2020">Week 13 (19 April 2020 -- 25 April 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Topics</strong>: Trees</div>
          <ul>
            <li class="level2"><div class="li"> Characterizing Trees</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 11.1.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes12_tree_characterizations_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes12_tree_characterizations_math314-01-s20.pdf (117.7 KB)">Lecture Notes: Characterizing Trees</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Spanning Trees</div>
              <ul>
                <li class="level3"><div class="li"> Textbook sections 11.4 and 11.5.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes13_spanning_trees_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes13_spanning_trees_math314-01-s20.pdf (147 KB)">Lecture Notes: Spanning Trees</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Storing Labeled Trees</div>
              <ul>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes14_pruefer_code_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes14_pruefer_code_math314-01-s20.pdf (163.2 KB)">Lecture Notes: Pruefer Code</a>.</div>
                </li>
              </ul>
            </li>
          </ul>
        </li>
        <li class="level1"><div class="li"> <strong>Homework</strong>:</div>
          <ul>
            <li class="level2"><div class="li"> Complete these <a href="https://ia801508.us.archive.org/14/items/math314-s20/hw4-graph_theory_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:hw4-graph_theory_math314-01-s20.pdf (89.2 KB)">graph theory problems</a> (Due 8 May 2020).</div>
            </li>
            <li class="level2"><div class="li"> <em>Optional</em>: Implement the Pruefer code algorithm and its inverse in your favorite programming language.</div>
            </li>
          </ul>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit14" id="week_14_26_april_2020_--_2_may_2020">Week 14 (26 April 2020 -- 2 May 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Topics</strong>: Models of Computation</div>
          <ul>
            <li class="level2"><div class="li"> Finite State Machines</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 13.2.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes15_finite_state_machines_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes15_finite_state_machines_math314-01-s20.pdf (169.2 KB)">Lecture Notes</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Deterministic Finite State Automata</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 13.3.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes16_automata_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes16_automata_math314-01-s20.pdf (134.9 KB)">Lecture Notes</a>.</div>
                </li>
              </ul>
            </li>
            <li class="level2"><div class="li"> Noneterministic Finite State Automata</div>
              <ul>
                <li class="level3"><div class="li"> Textbook section 13.4.</div>
                </li>
                <li class="level3"><div class="li"> <a href="https://ia801508.us.archive.org/14/items/math314-s20/notes17_nondeterministic_automata_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:notes17_nondeterministic_automata_math314-01-s20.pdf (167.5 KB)">Lecture Notes</a>.</div>
                </li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>

    </div>
    <h3 class="sectionedit15" id="week_15_3_may_2020_--_9_may_2020">Week 15 (3 May 2020 -- 9 May 2020)</h3>
    <div class="level3">
      <ul>
        <li class="level1"><div class="li"> <strong>Review for Final</strong>.</div>
        </li>
      </ul>
      <hr />

    </div>
    <h3 class="sectionedit16" id="final_exam">FINAL EXAM</h3>
    <div class="level3">

      <p>
        Due to the COVID-19 pandemic, final exams will be administered orally over Zoom.
      </p>

      <p>
        <a href="https://ia801508.us.archive.org/14/items/math314-s20/final_practice_math314-01-s20.pdf" class="media mediafile mf_pdf" title="people:grads:eppolito:final_practice_math314-01-s20.pdf (35.2 KB)">Here a list of topics to guide your studying for your oral final</a>.
      </p>

    </div>
    <div class="footnotes">
      <div class="fn"><sup><a href="#fnt__1" id="fn__1" class="fn_bot">1</a></sup>
        If you have an idea to improve this space, please email eppolito-at-math-dot-binghamton-dot-edu with your suggestion; I would like this space to be as useful to students as possible…</div>
      <div class="fn"><sup><a href="#fnt__2" id="fn__2" class="fn_bot">2</a></sup>
        If you have trouble viewing the videos through Safari, you can either <a href="https://brave.com/" class="urlextern" title="https://brave.com/">use another browser</a> or <a href="https://www.reddit.com/r/apple/comments/40b3y3/this_is_how_you_can_play_webm_in_safari/" class="urlextern" title="https://www.reddit.com/r/apple/comments/40b3y3/this_is_how_you_can_play_webm_in_safari/">try this solution from reddit</a>.</div>
    </div>

  </body>
</html>
